Bug 1306951 - Keep providing a py2 version
Keep providing a py2 version
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: radicale (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Orti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 04:37 EST by Pierre-YvesChibon
Modified: 2016-07-01 07:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-23 03:56:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2016-02-12 04:37:05 EST
While it is great that radicale defaults to py3, it would be even nicer if we would still provide a py2 version.

Not every web-app currently runs in py3 and one cannot mix py2 and py3 in the same apache server. So no mod_wsgi and python3-mod_wsgi together.

Which means, one cannot effectively run radicale (py3) and say pagure (py2) on the same server. That's a pity.

Could we do:
  - radicale        -> py3
  - raciale-python2 -> py2

This way we still allow to run radicale with another web-app but still default to py3.


Thoughts?

Thanks
Comment 1 Juan Orti 2016-02-14 15:10:42 EST
I'll investigate the best way to do it. I agree it's interesting to have both versions available.
Comment 2 Jan Kurik 2016-02-24 09:30:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Pierre-YvesChibon 2016-06-20 08:24:15 EDT
This bug is still valid, re-setting it to rawhide and the best way would be to simply do a radicale-python2 subpackage
Comment 4 Juan Orti 2016-06-21 11:11:58 EDT
I've modified the spec file to add support for python2. Could you please help me testing it?

It's in this copr repository:
http://copr-fe.cloud.fedoraproject.org/coprs/jorti/python2-radicale/

You can enable it with:
dnf copr enable jorti/python2-radicale

The subpackages radicale-httpd and radicale-python2-httpd provide the Apache configuration examples. I've left the standalone daemon with the python3 version only.

Thanks.
Comment 5 Juan Orti 2016-06-23 03:56:29 EDT
I've pushed it to rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14617650

I've split the package in the python modules:
python2-radicale
python3-radicale

The standalone server (only python3):
radicale

And the httpd support:
radicale-httpd
radicale-httpd-python2

Any feedback is welcomed.
Comment 6 Pierre-YvesChibon 2016-06-23 04:36:15 EDT
Many thanks, I have had the time to test them but will try to do it soon.

Would it be possible to consider updating F24 and F23 for these as well?
Comment 7 Juan Orti 2016-06-23 04:51:37 EDT
I'd like to give it a more extensive testing in rawhide first, then I'll push it to the stable releases.
Comment 8 Juan Orti 2016-07-01 07:58:26 EDT
Fedora 24 update:
https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ba77956d2

Note You need to log in before you can comment on or make changes to this bug.